package se.su.dsv.scipro.file;

import com.google.common.base.Function;
import se.su.dsv.scipro.system.User;

import java.io.InputStream;

public interface FileUpload {
    String getFileName();
    String getContentType();
    User getUploader();
    long getSize();
    <T> T handleData(Function<InputStream, T> handler);
}
