package se.su.dsv.scipro.file;

import lombok.Data;
import lombok.EqualsAndHashCode;
import se.su.dsv.scipro.project.Project;

import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.ManyToOne;

@Data
@EqualsAndHashCode(callSuper = true)
@Entity
@SuppressWarnings("PMD.UnusedPrivateField")
public class ProjectFile extends FileDescription {

    @ManyToOne
    private Project project;

    @Enumerated(EnumType.STRING)
    private FileSource fileSource = FileSource.FILES;

}
