package se.su.dsv.scipro.file;

import scala.Option;

import javax.inject.Inject;

public class PublicFileDescriptionServiceImpl implements PublicFileDescriptionService {

    @Inject
    private FileDescriptionRepo fileDescriptionRepo;

    @Override
    public Option<FileDescription> findOne(Long id) {
        return Option.apply(fileDescriptionRepo.findOne(QFileDescription.fileDescription.id.eq(id)
                .and(QFileDescription.fileDescription.exposed.isTrue())));
    }
}
