package se.su.dsv.scipro.forum;

import se.su.dsv.scipro.forum.dataobjects.ForumPost;
import se.su.dsv.scipro.system.User;

public final class ForumPostReadEvent {
    private final ForumPost post;
    private final User user;

    public ForumPostReadEvent(final ForumPost post, final User user) {
        this.post = post;
        this.user = user;
    }

    public ForumPost getPost() {
        return post;
    }

    public User getUser() {
        return user;
    }
}
