package se.su.dsv.scipro.forum;

import se.su.dsv.scipro.file.FileDescription;
import se.su.dsv.scipro.file.FileUpload;
import se.su.dsv.scipro.forum.dataobjects.ForumPost;
import se.su.dsv.scipro.forum.dataobjects.GroupThread;
import se.su.dsv.scipro.group.Group;
import se.su.dsv.scipro.system.User;

import java.util.List;
import java.util.Set;

public interface GroupForumService {

    GroupThread findOne(long threadId);

    GroupThread createThread(Group group, User user, String subject, String content, Set<FileUpload> fileUploads);

    void markRead(User user, GroupThread groupThread);

    List<GroupThread> getThreads(Group group);

    ForumPost createReply(GroupThread groupThread, User poster, String content, Set<FileDescription> attachments);

    List<ForumPost> getPosts(GroupThread groupThread);
}
