package se.su.dsv.scipro.forum;

import se.su.dsv.scipro.file.FileDescription;
import se.su.dsv.scipro.file.FileUpload;
import se.su.dsv.scipro.forum.dataobjects.ForumPost;
import se.su.dsv.scipro.forum.dataobjects.ProjectThread;
import se.su.dsv.scipro.project.Project;
import se.su.dsv.scipro.system.User;

import java.util.List;
import java.util.Set;

public interface ProjectForumService {

    ProjectThread createThread(Project project, User user, String subject, String content, Set<FileUpload> fileUploads);

    ForumPost createReply(ProjectThread projectThread, User poster, String content, Set<FileDescription> attachments);

    void markRead(User user, ProjectThread thread);

    List<ForumPost> getPosts(ProjectThread projectThread);

    List<ProjectThread> getThreads(Project project);

    ProjectThread findOne(long threadId);

    // TODO: Get these away from here
    List<ForumPost> latestPost(Project a, int amount);
    ProjectThread createThread(Project project, String title);

}
