package se.su.dsv.scipro.forum.dataobjects;

import lombok.Data;
import se.su.dsv.scipro.system.User;

import javax.persistence.Embeddable;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import java.io.Serializable;

@Data
@Embeddable
@SuppressWarnings({"PMD.UnusedPrivateField", "PMD.SingularField"})
public class ForumPostReadStateId implements Serializable {
    @ManyToOne
    @JoinColumn(name = "user", nullable = false)
    private User user;

    @ManyToOne
    @JoinColumn(name = "post", nullable = false)
    private ForumPost post;

    public ForumPostReadStateId() {

    }

    public ForumPostReadStateId(final User user, final ForumPost post) {
        this.user = user;
        this.post = post;
    }
}