package se.su.dsv.scipro.grading;

import se.su.dsv.scipro.project.Project;
import se.su.dsv.scipro.system.User;

public class GradingCompletedEvent {
    private final Project project;
    private final User student;

    public GradingCompletedEvent(Project project, User student) {
        this.project = project;
        this.student = student;
    }

    public Project getProject() {
        return project;
    }

    public User getStudent() {
        return student;
    }
}
