package se.su.dsv.scipro.match;

public final class Decision {
    private final boolean allowed;
    private final String reason;

    private Decision(final boolean allowed, final String reason) {

        this.allowed = allowed;
        this.reason = reason;
    }

    public static Decision allowed() {
        return new Decision(true, "");
    }

    public static Decision denied(String reason) {
        return new Decision(false, reason);
    }

    public boolean isAllowed() {
        return allowed;
    }

    public String getReason() {
        return reason;
    }
}
