package se.su.dsv.scipro.peer;

import se.su.dsv.scipro.project.Project;
import se.su.dsv.scipro.system.User;

class PeerReviewEvent {
    private final PeerReview peerReview;

    protected PeerReviewEvent(PeerReview peerReview) {
        this.peerReview = peerReview;
    }

    public Project getProject() {
        return peerReview.getProject();
    }

    public User getStudent() {
        return peerReview.getReviewer();
    }
}
