package se.su.dsv.scipro.project;

import com.google.inject.persist.Transactional;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.querydsl.QueryDslPredicateExecutor;
import se.su.dsv.scipro.system.User;

import java.util.Collection;
import java.util.List;

@Transactional
public interface ProjectRepo extends JpaRepository<Project, Long>, QueryDslPredicateExecutor<Project> {
    List<User> findMultipleAuthors(Collection<Project> projects);
}