package se.su.dsv.scipro.projectpartner;

import org.springframework.data.domain.Pageable;
import se.su.dsv.scipro.system.GenericService;
import se.su.dsv.scipro.system.ProjectType;

import java.util.List;

public interface ProjectPartnerService extends GenericService<ProjectPartner, Long> {
    List<ProjectPartner> getProjectPartnerInSpan(int days, final ProjectType projectType, Pageable pageable);
    long countProjectPartnerInSpan(final int days, final ProjectType projectType);
}
