package se.su.dsv.scipro.workerthreads;

import java.util.concurrent.ScheduledFuture;

public class Job {
    private final SchedulerImpl scheduler;
    private final Task task;
    private final ScheduledFuture<?> scheduledFuture;

    Job(final SchedulerImpl scheduler, final Task task, final ScheduledFuture<?> scheduledFuture) {
        this.scheduler = scheduler;
        this.task = task;
        this.scheduledFuture = scheduledFuture;
    }

    public void cancel() {
        scheduler.removeTask(task);
        scheduledFuture.cancel(false);
    }
}
