package se.su.dsv.scipro.workerthreads;

import se.su.dsv.scipro.system.AbstractServiceImpl;

import javax.inject.Inject;
import javax.inject.Provider;
import javax.persistence.EntityManager;

public class WorkerDataServiceImpl extends AbstractServiceImpl<WorkerData,Long> implements WorkerDataService {
    @Inject
    public WorkerDataServiceImpl(Provider<EntityManager> em) {
        super(em, WorkerData.class, QWorkerData.workerData);
    }

    @Override
    public WorkerData getWorkerDataByName(String name) {
        return findOne(QWorkerData.workerData.name.eq(name));
    }
}
