CREATE TABLE `user_language` (
  `user_id` BIGINT(20) NOT NULL,
  `language_id` BIGINT(20) NOT NULL,
  PRIMARY KEY (`user_id`, `language_id`),
  CONSTRAINT `user_language_user_id` FOREIGN KEY (`user_id`) REFERENCES `user` (`id`),
  CONSTRAINT `user_language_language_id` FOREIGN KEY (`language_id`) REFERENCES `Language` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `user_language` (`user_id`, `language_id`)
  SELECT `user`.`id`, `Employee_Language`.`languages_id`
  FROM `Employee_Language`
    INNER JOIN `role` ON `role`.`id` = `Employee_Language`.`role_id`
    INNER JOIN `user` ON `user`.`id` = `role`.`user_id`;
