CREATE TABLE IF NOT EXISTS `group` (
  `id` bigint(20) NOT NULL,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `version` int(11) NOT NULL,
  `title` varchar(250) NOT NULL,
  `description` LONGTEXT,
  `user_id` bigint(20) NOT NULL,
  `active` bit(1) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `group_project` (
  `group_id` bigint(20) NOT NULL,
  `project_id` bigint(20) NOT NULL,
  PRIMARY KEY (`group_id`, `project_id`),
  KEY `FK_group_id` (`group_id`),
  KEY `FK_project_id` (`project_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
