# Preliminary grading reports for the supervisor can not be un-submitted in the new process
CREATE TEMPORARY TABLE `pgr_id` (id BIGINT(20));

INSERT INTO `pgr_id`
  SELECT
    `id`
  FROM `preliminary_grading_report`
    INNER JOIN `report` USING (`id`)
  WHERE `submitted` IS FALSE AND `author_id` = (SELECT
                                              `supervisor_id`
                                            FROM `project`
                                            WHERE `id` = (SELECT
                                                          `project_id`
                                                        FROM `final_seminar`
                                                        WHERE `id` = `finalSeminar_id`));

DELETE FROM `criterion` WHERE `report_id` IN (SELECT `id` FROM `pgr_id`);
DELETE FROM `preliminary_grading_report` WHERE `id` IN (SELECT `id` FROM `pgr_id`);
DELETE FROM `report` WHERE `id` IN (SELECT `id` FROM `pgr_id`);

DROP TABLE `pgr_id`;
