ALTER TABLE `forum_thread` ADD COLUMN `project_id` BIGINT(20) NOT NULL;
UPDATE `forum_thread` SET `project_id` = (SELECT `project` FROM `project_thread` WHERE `id` = `forum_thread`.`id`);
ALTER TABLE `forum_thread` ADD CONSTRAINT `FK_forum_thread_project`
FOREIGN KEY (`project_id`) REFERENCES `project` (`id`);

ALTER TABLE `forum_thread` DROP FOREIGN KEY `forum_thread_ibfk_1`;
ALTER TABLE `forum_thread` CHANGE COLUMN `id` `thread_id` BIGINT(20) NOT NULL;

ALTER TABLE `forum_thread` DROP PRIMARY KEY;
ALTER TABLE `forum_thread` ADD PRIMARY KEY (`project_id`, `thread_id`);

ALTER TABLE `forum_thread` ADD CONSTRAINT `FK_forum_thread_thread`
FOREIGN KEY (`thread_id`) REFERENCES `thread` (`id`);
