ALTER TABLE `activity_thread` ADD COLUMN `project_id` BIGINT(20) NOT NULL;
UPDATE `activity_thread` SET `project_id` = (SELECT `project_id` FROM `forum_thread` WHERE `forum_thread`.`thread_id` = `activity_thread`.`thread_id`);

ALTER TABLE `activity_thread` DROP PRIMARY KEY;

ALTER TABLE `activity_thread` ADD CONSTRAINT `FK_activity_thread_forum_thread_thread`
FOREIGN KEY (`thread_id`) REFERENCES `forum_thread` (`thread_id`) ON DELETE CASCADE ON UPDATE CASCADE;

ALTER TABLE `activity_thread` ADD CONSTRAINT `FK_activity_thread_forum_thread_project`
FOREIGN KEY (`project_id`) REFERENCES `forum_thread` (`project_id`) ON DELETE CASCADE ON UPDATE CASCADE;

ALTER TABLE `activity_thread` ADD PRIMARY KEY (`activity_id`, `project_id`, `thread_id`);
