ALTER TABLE `project_group_thread` DROP FOREIGN KEY `project_group_thread_ibfk_1`;
ALTER TABLE `project_group_thread` DROP FOREIGN KEY `project_group_thread_ibfk_2`;

ALTER TABLE `project_group_thread` CHANGE COLUMN `id` `thread_id` BIGINT(20) NOT NULL;
ALTER TABLE `project_group_thread` CHANGE COLUMN `project_group` `group_id` BIGINT(20) NOT NULL;

ALTER TABLE `project_group_thread` DROP PRIMARY KEY;
ALTER TABLE `project_group_thread` ADD COLUMN `id` BIGINT(20) NOT NULL AUTO_INCREMENT PRIMARY KEY FIRST;

ALTER TABLE `project_group_thread` ADD CONSTRAINT `FK_project_group_thread_group` FOREIGN KEY (`group_id`) REFERENCES `project_group` (`id`);
ALTER TABLE `project_group_thread` ADD CONSTRAINT `FK_project_group_thread_thread` FOREIGN KEY (`thread_id`) REFERENCES `thread` (`id`);

RENAME TABLE `project_group_thread` TO `group_thread`;
