CREATE TABLE forum_mail_project (
  id BIGINT(20) NOT NULL PRIMARY KEY,
  project_thread_id BIGINT(20) NOT NULL,
  CONSTRAINT FK_forum_mail_project_forum_mail FOREIGN KEY (id) REFERENCES forum_mail(id),
  CONSTRAINT FK_forum_mail_project_project_thread FOREIGN KEY (project_thread_id) REFERENCES project_thread(id)
) ENGINE = InnoDB DEFAULT CHARSET = utf8;

CREATE TABLE forum_mail_group (
  id BIGINT(20) NOT NULL PRIMARY KEY,
  group_thread_id BIGINT(20) NOT NULL,
  CONSTRAINT FK_forum_mail_group_forum_mail FOREIGN KEY (id) REFERENCES forum_mail(id),
  CONSTRAINT FK_forum_mail_group_group_thread FOREIGN KEY (group_thread_id) REFERENCES group_thread(id)
) ENGINE = InnoDB DEFAULT CHARSET = utf8;

CREATE TABLE forum_mail_reviewer (
  id BIGINT(20) NOT NULL PRIMARY KEY,
  reviewer_thread_id BIGINT(20) NOT NULL,
  CONSTRAINT FK_forum_mail_reviewer_forum_mail FOREIGN KEY (id) REFERENCES forum_mail(id),
  CONSTRAINT FK_forum_mail_reviewer_project FOREIGN KEY (reviewer_thread_id) REFERENCES reviewer_thread(id)
) ENGINE = InnoDB DEFAULT CHARSET = utf8;
