ALTER TABLE `footer_link` ADD COLUMN `order` INT NOT NULL;

CREATE TEMPORARY TABLE `flt` (
  `id` BIGINT,
  `column` VARCHAR(10)
);

INSERT INTO `flt`
  SELECT id, footerColumn FROM `footer_link`;

UPDATE `footer_link` AS `o` SET `o`.`order` = (
  SELECT COUNT(*) FROM `flt` WHERE `flt`.`column` = `o`.`footerColumn` AND `flt`.`id` < `o`.`id`
);

DROP TABLE `flt`;