CREATE TABLE `forum_notification` (
  forumPost_id BIGINT(20) NOT NULL,
  notificationEvent_id BIGINT(20) NOT NULL,
  PRIMARY KEY (forumPost_id, notificationEvent_id),
  CONSTRAINT `FK_forum_notification_forum_post`
    FOREIGN KEY (forumPost_id) REFERENCES forum_post (id)
    ON UPDATE CASCADE ON DELETE CASCADE,
  CONSTRAINT `FK_forum_notification_notification_event`
    FOREIGN KEY (notificationEvent_id) REFERENCES NotificationData (id)
    ON UPDATE CASCADE ON DELETE CASCADE
) ENGINE = InnoDB DEFAULT CHARSET = utf8;

INSERT INTO `forum_notification`
SELECT DISTINCT forumPost_id, id FROM NotificationData
WHERE forumPost_id IS NOT NULL;
