ALTER TABLE `projectPartner` ADD COLUMN `projectType_id` BIGINT(20);
ALTER TABLE `projectPartner` ADD CONSTRAINT `FK_project_partner_project_type` FOREIGN KEY (`projectType_id`) REFERENCES `ProjectType` (`id`);
UPDATE `projectPartner` SET `projectType_id` = (
  SELECT `ProjectType`.`id` FROM `ProjectType`
  INNER JOIN `project_type_settings` ON ProjectType.id = project_type_settings.projectType_id
  WHERE maxAuthors >= 2
  LIMIT 1
);
ALTER TABLE `projectPartner` MODIFY COLUMN `projectType_id` BIGINT(20) NOT NULL;