CREATE TABLE `checklist_template_degree_level` (
  `checklist_template_id` BIGINT(20) NOT NULL,
  `degree_level_id`       BIGINT(20) NOT NULL,
  PRIMARY KEY (`checklist_template_id`, `degree_level_id`),
  CONSTRAINT `FK_checklist_template_degree_level_checklist_template_id` FOREIGN KEY (`checklist_template_id`) REFERENCES `checklist_template` (`id`),
  CONSTRAINT `FK_checklist_template_degree_level_degree_level_id` FOREIGN KEY (`degree_level_id`) REFERENCES `project_class` (`id`)
)
  ENGINE =InnoDB
  DEFAULT CHARSET =utf8;

INSERT INTO `checklist_template_degree_level` (`checklist_template_id`, `degree_level_id`)
SELECT
  t.checklist_template_id,
  p.id
FROM checklist_template_checklist_category AS t
  INNER JOIN checklist_category AS c
    ON t.categories_id = c.id
  INNER JOIN project_class AS p
    ON p.name = c.categoryName;
