CREATE TABLE `FinalThesis` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `version` int(11) NOT NULL,
  `fileDescription_id` bigint(20) NOT NULL,
  `project_id` bigint(20) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `project_file_description` (`project_id`,`fileDescription_id`),
  KEY `FK_final_thesis_file_description` (`fileDescription_id`),
  KEY `FK_final_thesis_project` (`project_id`),
  CONSTRAINT `FK_final_thesis_project` FOREIGN KEY (`project_id`) REFERENCES `project` (`id`),
  CONSTRAINT `FK_final_thesis_file_description` FOREIGN KEY (`fileDescription_id`) REFERENCES `file_description` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
