ALTER TABLE `milestone_activity` DROP FOREIGN KEY `milestone_activity_ibfk_1`;
ALTER TABLE `milestone_activity` DROP KEY `activatedBy`;

ALTER TABLE `milestone_activity` ADD FOREIGN KEY (`activatedBy`) REFERENCES `Event` (`name`)
  ON DELETE SET NULL
  ON UPDATE CASCADE;

UPDATE `Event`
SET
  `name`        = 'OppositionGradingEvent',
  `description` = 'Supervisor grades an opponent on a final seminar.'
WHERE `name` = 'OppositionApprovedEvent';

UPDATE `Event`
SET
  `name`        = 'ParticipationGradingEvent',
  `description` = 'Supervisor grades an active participant on a final seminar.'
WHERE `name` = 'ParticipationApprovedEvent';

UPDATE `Event`
SET
  `name`        = 'RespondentGradingEvent',
  `description` = 'Supervisor grades a respondent on a final seminar.'
WHERE `name` = 'RespondentApprovedEvent';
