CREATE TABLE IF NOT EXISTS `ApplicationPeriodProjectType` (
  `applicationPeriod_id` bigint(20) NOT NULL DEFAULT '0',
  `projectType_id` bigint(20) NOT NULL DEFAULT '0',
  `scheduleTemplate_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`applicationPeriod_id`,`projectType_id`),
  KEY `FK_hqebt63rl2mhogp66dy5m7upo` (`applicationPeriod_id`),
  KEY `FK_546usee339qh4g5otguwka3hi` (`projectType_id`),
  KEY `FK_3ku67jvegs1xxh8ykk023i7sb` (`scheduleTemplate_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

ALTER TABLE `ApplicationPeriodProjectType`
  ADD CONSTRAINT `FK_3ku67jvegs1xxh8ykk023i7sb` FOREIGN KEY (`scheduleTemplate_id`) REFERENCES `schedule_template` (`id`),
  ADD CONSTRAINT `FK_546usee339qh4g5otguwka3hi` FOREIGN KEY (`projectType_id`) REFERENCES `ProjectType` (`id`),
  ADD CONSTRAINT `FK_hqebt63rl2mhogp66dy5m7upo` FOREIGN KEY (`applicationPeriod_id`) REFERENCES `ApplicationPeriod` (`id`);

INSERT INTO `ApplicationPeriodProjectType` (`applicationPeriod_id`, `projectType_id`)
SELECT `ApplicationPeriod_id`, `projectTypes_id`
FROM `ApplicationPeriod_ProjectType`;

DROP TABLE `ApplicationPeriod_ProjectType`;

ALTER TABLE `ProjectType` DROP FOREIGN KEY `ProjectType_ibfk_1`;
ALTER TABLE `ProjectType` DROP `defaultActivityPlanTemplate_id`;