package se.su.dsv.scipro.grading

import javax.inject.Provider
import javax.persistence.EntityManager

trait FindOne[T, ID] {

  val em: Provider[EntityManager]
  val clazz: Class[T]

  def findOne(id: ID): Option[T] = {
    Option(em.get().find(clazz, id))
  }
}
