CREATE TABLE `general_system_settings_supervisor_change_recipients` (
  `GeneralSystemSettings_id` bigint(20) NOT NULL,
  `mail` varchar(255) DEFAULT NULL,
  KEY `FK7DA712D52AC37675` (`GeneralSystemSettings_id`),
  CONSTRAINT `FK7DA712D52AC37675` FOREIGN KEY (`GeneralSystemSettings_id`) REFERENCES `general_system_settings` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

INSERT INTO `general_system_settings_supervisor_change_recipients` (`GeneralSystemSettings_id`, `mail`) VALUES
(1, 'janne@dsv.su.se');


ALTER TABLE `general_system_settings` ADD `daysAheadToUploadThesisReview` int(11) NOT NULL;
ALTER TABLE `general_system_settings` ADD `daysAheadToUploadThesisReviewForExaminer` int(11) NOT NULL;

CREATE TABLE `notification_receiver_configuration` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `version` int(11) NOT NULL,
  `group` varchar(255) NOT NULL,
  `event` varchar(255) NOT NULL,
  `member` varchar(255) NOT NULL,
  `enabled` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=34 DEFAULT CHARSET=latin1;