CREATE TABLE IF NOT EXISTS `turnitincheck` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `version` int(11) NOT NULL,
  `hash` longblob,
  `url` varchar(255) DEFAULT NULL,
  `fileDescription_id` bigint(20) DEFAULT NULL,
  `turnItInId` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `FK32D6DF9B460E9895` (`fileDescription_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;

-- added stuff to generalsystemsettings

ALTER TABLE `general_system_settings` ADD `turnItInAssignmentName` varchar(255) NOT NULL;
ALTER TABLE `general_system_settings` ADD `turnItInSharedKey` varchar(255) NOT NULL;
ALTER TABLE `general_system_settings` ADD `turnItInClassName` varchar(255) NOT NULL;
ALTER TABLE `general_system_settings` ADD `turnItInClassNo` int(11) NOT NULL;

-- set null ok on these in final seminar

ALTER TABLE `final_seminar` CHANGE `endDate` `endDate` DATETIME NULL ,
CHANGE `checkedForPlagirism` `checkedForPlagirism` BIT( 1 ) NULL;