package se.su.dsv.scipro.admin.pages.settings;

import org.apache.wicket.markup.html.basic.EnumLabel;
import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.model.ResourceModel;
import se.su.dsv.scipro.admin.pages.AbstractAdminSystemPage;
import se.su.dsv.scipro.admin.panels.AdminEditFooterAddressPanel;
import se.su.dsv.scipro.admin.panels.AdminEditFooterColumnPanel;
import se.su.dsv.scipro.system.FooterColumn;


public class AdminFooterSettingsPage extends AbstractAdminSystemPage {
    public AdminFooterSettingsPage() {
        add(new EnumLabel<>("firstTab", FooterColumn.FIRST));
        add(new EnumLabel<>("secondTab", FooterColumn.SECOND));
        add(new EnumLabel<>("thirdTab", FooterColumn.THIRD));
        add(new EnumLabel<>("fourthTab", FooterColumn.FOURTH));
        add(new Label("fifthTab", new ResourceModel("address")));
        add(new AdminEditFooterColumnPanel("first", FooterColumn.FIRST));
        add(new AdminEditFooterColumnPanel("second", FooterColumn.SECOND));
        add(new AdminEditFooterColumnPanel("third", FooterColumn.THIRD));
        add(new AdminEditFooterColumnPanel("fourth", FooterColumn.FOURTH));
        add(new AdminEditFooterAddressPanel("fifth"));
    }
}
