package se.su.dsv.scipro.checklists;

import se.su.dsv.scipro.admin.pages.AbstractAdminProjectPage;
import se.su.dsv.scipro.components.menuhighlighting.MenuHighlightAdminChecklist;
import se.su.dsv.scipro.security.auth.Authorization;
import se.su.dsv.scipro.security.auth.roles.Roles;

@Authorization(authorizedRoles = {Roles.SYSADMIN, Roles.ADMIN})
public class AdminChecklistPage extends AbstractAdminProjectPage implements MenuHighlightAdminChecklist {

    public AdminChecklistPage() {
       add(new ChecklistTemplateDataPanel("datapanel"));
    }
}