package se.su.dsv.scipro.components;

import org.apache.wicket.markup.html.list.ListView;
import org.apache.wicket.model.IModel;

import java.util.List;

public abstract class AutoHidingListView<T> extends ListView<T> {
    public AutoHidingListView(String id, IModel<? extends List<? extends T>> model) {
        super(id, model);
    }

    public AutoHidingListView(String id, List<? extends T> list) {
        super(id, list);
    }

    @Override
    protected void onConfigure() {
        super.onConfigure();
        setVisible(!getList().isEmpty());
    }
}
