package se.su.dsv.scipro.components;

import org.apache.wicket.validation.IValidatable;
import org.apache.wicket.validation.IValidator;
import org.apache.wicket.validation.ValidationError;

public class CheckBoxRequiredValidator implements IValidator<Boolean> {
    @Override
    public void validate(IValidatable<Boolean> checked) {
        if (!checked.getValue()) {
            checked.error(new ValidationError(this));
        }
    }
}
