package se.su.dsv.scipro.forum;

import org.apache.wicket.util.io.IClusterable;
import se.su.dsv.scipro.file.FileUpload;
import se.su.dsv.scipro.forum.dataobjects.ForumPost;
import se.su.dsv.scipro.system.User;

import java.util.List;
import java.util.Set;

public interface ForumThread<A> extends IClusterable {
    List<ForumPost> getPosts(A a);
    ForumPost reply(A a, User poster, String content, Set<FileUpload> attachments);
    String getSubject(A a);
    void setRead(User user, A a);
}
