package se.su.dsv.scipro.grading;

import se.su.dsv.scipro.report.GradingCriterion;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

public interface GradingReportPdf extends Serializable {
    String getProjectTitle();
    String getProjectType();
    String getAuthorName();
    String getAuthorNames();
    String getSupervisorName();
    String getReviewerName();
    String getPlagiarismFeedback();
    String getGrade();
    Date getLastModified();
    List<GradingCriterion> getGradingCriteria();
    String getProjectTypeName();
}
