package se.su.dsv.scipro.match;

import org.apache.wicket.markup.html.panel.FeedbackPanel;
import se.su.dsv.scipro.security.auth.Authorization;
import se.su.dsv.scipro.security.auth.roles.Roles;

@Authorization(authorizedRoles = {Roles.SYSADMIN})
public class AdminKeywordPage extends AbstractAdminMatchPage {

    public static final String FEEDBACK = "feedback";

    public AdminKeywordPage() {
        add(new FeedbackPanel(FEEDBACK));
		add(new AdminKeywordSwitchPanel(PANEL));
	}

    static final String PANEL = "switchPanel";
}
