package se.su.dsv.scipro.match;

import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.markup.html.panel.GenericPanel;
import org.apache.wicket.model.IModel;
import org.apache.wicket.model.PropertyModel;
import org.apache.wicket.model.ResourceModel;

public class IdeaExportPanel extends GenericPanel<Idea> {

    public IdeaExportPanel(String id, IModel<Idea> model) {
        super(id, model);

        add(new Label("reason", new PropertyModel<String>(model, "export.reason")));
        add(new Label("explanation", new ResourceModel("explanation")));
    }

    @Override
    protected void onConfigure() {
        super.onConfigure();
        setVisibilityAllowed(getModelObject().isExported() && !getModelObject().wasExportSuccessful());
    }

}
