package se.su.dsv.scipro.reviewer;

import org.apache.wicket.markup.html.link.AbstractLink;
import org.apache.wicket.markup.html.link.BookmarkablePageLink;
import org.apache.wicket.model.IModel;
import org.apache.wicket.request.mapper.parameter.PageParameters;
import se.su.dsv.scipro.reviewing.ReviewerApproval;

public class RoughDraftApprovalReviewerPanel extends ApprovalReviewerPanel {

    public RoughDraftApprovalReviewerPanel(final String id) {
        super(id);
    }

    @Override
    public ReviewerApproval.Step getStep() {
        return ReviewerApproval.Step.ROUGH_DRAFT_APPROVAL;
    }

    protected AbstractLink newDecisionLink(final String id, final IModel<ReviewerApproval> rowModel) {
        PageParameters pageParameters = ReviewerApprovalDecisionPage.pageParametersFor(rowModel.getObject());
        return new BookmarkablePageLink<>(id, RoughDraftApprovalDecisionPage.class, pageParameters);
    }
}
