package se.su.dsv.scipro.statistics;

import se.su.dsv.scipro.datatables.project.ProjectExternalOrganisationPanel;
import se.su.dsv.scipro.security.auth.Authorization;
import se.su.dsv.scipro.security.auth.roles.Roles;

@Authorization(authorizedRoles = {Roles.ADMIN})
public class ProjectExternalStatisticsPage extends AbstractAdminStatisticsPage {

    public ProjectExternalStatisticsPage() {
        add(new ProjectExternalOrganisationPanel(PANEL));
    }

    static final String PANEL = "panel";

}
