package se.su.dsv.scipro.supervisor.pages;

import org.apache.wicket.request.mapper.parameter.PageParameters;
import se.su.dsv.scipro.components.menuhighlighting.MenuHighlightSupervisorMyProjects;
import se.su.dsv.scipro.economy.EconomyPanel;
import se.su.dsv.scipro.phd.DepartmentServicePanel;
import se.su.dsv.scipro.phd.StudyPlanPanel;
import se.su.dsv.scipro.security.auth.ProjectModuleComponent;
import se.su.dsv.scipro.system.ProjectModule;

@ProjectModuleComponent(ProjectModule.ADMIN)
public class SupervisorAdminPage extends AbstractSupervisorProjectDetailsPage implements MenuHighlightSupervisorMyProjects {

    public SupervisorAdminPage(PageParameters pp) {
        super(pp);
        add(new StudyPlanPanel("studyPlan", projectModel));
        add(new DepartmentServicePanel("departmentServicePanel", projectModel));
        add(new EconomyPanel("economyPanel", projectModel));
    }
}
