package se.su.dsv.scipro.components

import org.apache.wicket.model.{AbstractReadOnlyModel, IModel}

class NullableOptionModel[T >: Null](optionModel: IModel[Option[T]]) extends AbstractReadOnlyModel[T] {
  override def getObject: T = {
    optionModel.getObject.orNull
  }

  override def detach(): Unit = {
    optionModel.detach()
  }
}