package se.su.dsv.scipro;

import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.Mock;
import org.mockito.runners.MockitoJUnitRunner;
import se.su.dsv.scipro.system.UserService;

import static org.junit.Assert.assertNull;
import static org.mockito.Matchers.isA;
import static org.mockito.Mockito.when;

@RunWith(MockitoJUnitRunner.class)
public class CurrentUserImplTest {
    @Mock
    private UserService userService;

    private CurrentUserImpl currentUser;

    @Before
    public void setUp() throws Exception {
        when(userService.findOne(isA(Long.class))).thenThrow(new IllegalArgumentException());
        currentUser = new CurrentUserImpl(userService);
    }

    @Test
    public void if_no_id_then_get_returns_null() throws Exception {
        assertNull(currentUser.get());
    }
}
