package se.su.dsv.scipro.admin.pages.settings;

import org.junit.Before;
import org.junit.Test;
import se.su.dsv.scipro.SciProTest;
import se.su.dsv.scipro.system.ProjectType;

import java.util.Arrays;
import java.util.Collections;

import static org.mockito.Mockito.when;

public class AdminProjectTypeSettingsPageTest extends SciProTest {

    @Before
    public void setUp() throws Exception {
        when(projectTypeService.findAllActive()).thenReturn(Collections.singletonList(new ProjectType(ProjectType.BACHELOR, "Bachelor", "Bachelor")));
        when(projectTypeService.findAllDeleted()).thenReturn(Collections.singletonList(new ProjectType(ProjectType.MASTER, "Master", "Master")));
    }

    @Test
    public void renders() throws Exception {
        tester.startPage(AdminProjectTypeSettingsPage.class);
        tester.assertRenderedPage(AdminProjectTypeSettingsPage.class);
    }
}
