package se.su.dsv.scipro.datatables;

import org.apache.wicket.ajax.AjaxRequestTarget;
import org.apache.wicket.markup.html.WebMarkupContainer;
import org.apache.wicket.markup.html.panel.Panel;
import org.apache.wicket.model.Model;
import org.junit.Before;
import org.junit.Test;
import se.su.dsv.scipro.SciProTest;

import static org.junit.Assert.assertNotNull;

public class AjaxCheckboxWrapperTest extends SciProTest {

    Panel panel;

    @Before
    public void setUp() throws Exception {
        startPanel();
    }

    @Test
    public void testRenders() throws Exception {
        assertNotNull("Does not render", panel);
    }

    @Test
    public void testPanelContainsCheckbox() throws Exception {
        tester.assertComponent(path(panel.getId(), AjaxCheckboxWrapper.CHECKBOX), WebMarkupContainer.class);
    }

    private void startPanel() {
        panel = tester.startComponentInPage(new AjaxCheckboxWrapper("panel", Model.of(true)) {
            @Override
            public void onChange(AjaxRequestTarget target, boolean selected) {
            }

        });
    }
}
