package se.su.dsv.scipro.finalthesis;

import org.junit.Before;
import org.junit.Test;
import org.springframework.data.domain.Pageable;
import se.su.dsv.scipro.SciProTest;

import java.util.Arrays;
import java.util.Collections;

import static org.mockito.Matchers.any;
import static org.mockito.Mockito.when;

public class SupervisorFinalThesisListingPageTest extends SciProTest {

    @Before
    public void setUp() throws Exception {
        when(finalThesisService.findAll(any(FinalThesisService.Filter.class), any(Pageable.class))).thenReturn(Collections.singletonList(createFinalThesis()));
        when(finalThesisService.count(any(FinalThesisService.Filter.class))).thenReturn(1L);
    }

    @Test
    public void renders() throws Exception {
        tester.startPage(SupervisorFinalThesisListingPage.class);
        tester.assertRenderedPage(SupervisorFinalThesisListingPage.class);
    }

    private FinalThesis createFinalThesis() {
        return new FinalThesis();
    }
}
