package se.su.dsv.scipro.match;

import org.junit.Before;
import org.junit.Test;
import org.mockito.Mockito;
import se.su.dsv.scipro.SciProTest;
import se.su.dsv.scipro.generalsystemsettings.GeneralSystemSettings;

import java.util.ArrayList;

public class AdminManageIdeaPageTest extends SciProTest {

    @Before
    public void createSettings() throws Exception {
        Mockito.when(generalSystemSettingsService.getGeneralSystemSettingsInstance()).thenReturn(new GeneralSystemSettings());
        Mockito.when(applicationPeriodService.findAll()).thenReturn(new ArrayList<ApplicationPeriod>());
    }

    @Test
    public void renders() throws Exception {
        tester.startPage(AdminManageIdeaPage.class);
        tester.assertRenderedPage(AdminManageIdeaPage.class);
    }
}
