package se.su.dsv.scipro.match;

import org.junit.Test;
import se.su.dsv.scipro.SciProTest;

public class ProjectAllSupervisorIdeasPanelTest extends SciProTest {

    private ProjectAllSupervisorIdeasPanel panel;

    @Test
    public void renders() throws Exception {
        startPanel();
    }

    @Test
    public void is_keyword_filtering_panel_invisible() throws Exception {
        startPanel();

        tester.assertInvisible(path(panel, "keywordFilter"));
    }

    private void startPanel() {
        panel = tester.startComponentInPage(new ProjectAllSupervisorIdeasPanel("id", new ApplicationPeriod()));
    }
}
