package se.su.dsv.scipro.match;

import org.apache.wicket.Page;
import org.apache.wicket.request.mapper.parameter.PageParameters;
import org.junit.Test;
import se.su.dsv.scipro.PageTest;
import se.su.dsv.scipro.util.PageParameterKeys;

public class SupervisorSelectableStudentIdeasPageTest extends PageTest {
    @Override
    protected Class<? extends Page> getPage() {
        return SupervisorSelectableStudentIdeasPage.class;
    }

    @Override
    protected PageParameters getPageParameters() {
        PageParameters pageParameters = new PageParameters();
        pageParameters.set(PageParameterKeys.MAP.get(ApplicationPeriod.class), 98L);
        return pageParameters;
    }

    @Test
    public void link_back_to_my_ideas() throws Exception {
        startPage();
        tester.assertBookmarkablePageLink(SupervisorSelectableStudentIdeasPage.BACK_LINK, SupervisorIdeaStartPage.class, new PageParameters());
    }
}
