package se.su.dsv.scipro.statistics;

import org.apache.wicket.Page;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.runners.MockitoJUnitRunner;
import se.su.dsv.scipro.PageTest;
import se.su.dsv.scipro.security.auth.roles.Roles;

import static se.su.dsv.scipro.statistics.SupervisorStatisticsPage.PANEL;

@RunWith(MockitoJUnitRunner.class)
public class SupervisorStatisticsPageTest extends PageTest {

    SupervisorStatisticsPage page;

    @Before
    public void setUp() throws Exception {
        setLoggedIn(true);
        setRoles(Roles.ADMIN);
        page = tester.startPage(SupervisorStatisticsPage.class);
    }

    @Override
    protected Class<? extends Page> getPage() {
        return SupervisorStatisticsPage.class;
    }

    @Test
    public void testContainsPanel() throws Exception {
        tester.assertComponent(PANEL, SupervisorStatisticsPanel.class);
    }
}
