package se.su.dsv.scipro.finalseminar;

import se.su.dsv.scipro.project.Project;
import se.su.dsv.scipro.system.User;

class AbstractOppositionEvent {
    private final FinalSeminarOpposition opposition;

    protected AbstractOppositionEvent(FinalSeminarOpposition opposition) {
        this.opposition = opposition;
    }

    public User getStudent() {
        return opposition.getUser();
    }

    public Project getProject() {
        return opposition.getProject();
    }
}
