package se.su.dsv.scipro.finalseminar;

import java.util.Date;

public final class FinalSeminarMovedEvent {
    private final FinalSeminar finalSeminar;
    private final Date to;

    public FinalSeminarMovedEvent(final FinalSeminar finalSeminar, final Date to) {
        this.finalSeminar = finalSeminar;
        this.to = to;
    }

    public Date getTo() {
        return (Date) to.clone();
    }

    public FinalSeminar getFinalSeminar() {
        return finalSeminar;
    }
}
