package se.su.dsv.scipro.integration.activityfinalseminar;

import com.google.inject.persist.Transactional;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.querydsl.QueryDslPredicateExecutor;
import scala.Option;
import se.su.dsv.scipro.finalseminar.FinalSeminar;

@Transactional
public interface ActivityFinalSeminarRepository extends JpaRepository<ActivityFinalSeminar, Long>, QueryDslPredicateExecutor<ActivityFinalSeminar> {
    Option<ActivityFinalSeminar> findByFinalSeminar(FinalSeminar finalSeminar);
}
