package se.su.dsv.scipro.mail;

import lombok.EqualsAndHashCode;
import lombok.ToString;
import se.su.dsv.scipro.system.User;

@ToString
@EqualsAndHashCode
public class UserRecipient implements Recipient {
    private final User user;

    public UserRecipient(final User user) {
        this.user = user;
    }

    public User getUser() {
        return user;
    }

    @Override
    public <T> T accept(final RecipientVisitor<T> visitor) {
        return visitor.visit(this);
    }
}
