package se.su.dsv.scipro.match;

import org.springframework.data.domain.Pageable;
import se.su.dsv.scipro.system.User;

import java.util.Set;

public interface MatchFollowUpService {
    long countUnmetTargets(ApplicationPeriod applicationPeriod);
    Iterable<TargetResult> findUnmetTargets(ApplicationPeriod applicationPeriod, Pageable pageable);
    Set<User> findSupervisorsWithUnmetTargets(ApplicationPeriod applicationPeriod);
}
