package se.su.dsv.scipro.notifications;

import scala.Option;
import se.su.dsv.scipro.notifications.dataobject.NotificationEvent;

import javax.inject.Inject;

public class NotificationEventServiceImpl implements NotificationEventService {
    private final NotificationEventRepository notificationEventRepository;

    @Inject
    public NotificationEventServiceImpl(final NotificationEventRepository notificationEventRepository) {
        this.notificationEventRepository = notificationEventRepository;
    }

    @Override
    public Option<NotificationEvent> findOne(final long id) {
        return notificationEventRepository.findOne(id);
    }
}
