package se.su.dsv.scipro.peer;

import se.su.dsv.scipro.system.AbstractServiceImpl;

import javax.inject.Inject;
import javax.inject.Provider;
import javax.persistence.EntityManager;
import java.util.List;

public class CommentServiceImpl extends AbstractServiceImpl<Comment, Long> implements CommentService {

    @Inject
    protected CommentServiceImpl(Provider<EntityManager> em) {
        super(em, Comment.class, QComment.comment1);
    }

    @Override
    public List<Comment> findByCommentThread(CommentThread commentThread) {
        return findAll(QComment.comment1.commentThread.eq(commentThread));
    }
}
