package se.su.dsv.scipro.peer;

import javax.inject.Inject;

public class CommentThreadServiceImpl implements CommentThreadService {

    CommentThreadRepo commentThreadRepo;

    @Inject
    public CommentThreadServiceImpl(CommentThreadRepo commentThreadRepo) {
        this.commentThreadRepo = commentThreadRepo;
    }

    @Override
    public CommentThread save(CommentThread commentThread) {
        return commentThreadRepo.save(commentThread);
    }

    @Override
    public CommentThread getCommentThread(Commentable commentable) {
        return commentThreadRepo.getCommentThread(commentable.getCommentKey(), commentable.getId());
    }
}
