package se.su.dsv.scipro.peer;

public interface Commentable {
	/**
	 * Method should return a uniquely identifying string representing it's class and all it's subclasses
	 * Suggested implementation is X.class.getCanonicalName().toString() where X is NOT this.getClass()
	 * (because this will return the subclasses class) it should be the actual, literal superclass.
	 */
	String getCommentKey();
	/**
	 * Normal Id from DomainObjects
	 */
	Long getId();
}
