package se.su.dsv.scipro.phd;

import se.su.dsv.scipro.file.FileUpload;
import se.su.dsv.scipro.project.Project;
import se.su.dsv.scipro.system.GenericService;

public interface StudyPlanService extends GenericService<StudyPlan, Long> {

    StudyPlan findByProject(Project project);

    void addBasicContract(FileUpload fileUpload, StudyPlan studyPlan);
    void addAnnualReview(FileUpload fileUpload, StudyPlan studyPlan);
    void removeAnnualReview(StudyPlan phd, AnnualReview annualReview);
}
