package se.su.dsv.scipro.plagiarism;

import com.google.inject.persist.Transactional;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.querydsl.QueryDslPredicateExecutor;
import se.su.dsv.scipro.file.FileDescription;

@Transactional
public interface TurnItInCheckRepo extends JpaRepository<TurnItInCheck, Long>, QueryDslPredicateExecutor<TurnItInCheck> {
    TurnItInCheck findByFileDescription(FileDescription fd);
}
