package se.su.dsv.scipro.plagiarism;

import se.su.dsv.scipro.file.FileDescription;
import se.su.dsv.scipro.system.AbstractServiceImpl;

import javax.inject.Inject;
import javax.inject.Provider;
import javax.persistence.EntityManager;

public class TurnItInCheckServiceImpl extends AbstractServiceImpl<TurnItInCheck,Long> implements TurnItInCheckService {
    @Inject
	public TurnItInCheckServiceImpl(Provider<EntityManager> em) {
        super(em, TurnItInCheck.class, QTurnItInCheck.turnItInCheck);
	}

    @Override
    public TurnItInCheck findByFileDescription(FileDescription fd) {
        return findOne(QTurnItInCheck.turnItInCheck.fileDescription.eq(fd));
    }
}
