/**
 * 
 */
package se.su.dsv.scipro.project;

public enum StateOfMind {

    NEEDHELP("Help needed to proceed"),
    NEUTRAL("No imminent help needed"),
    FINE("Work proceeds as planned");

    private String status;

    StateOfMind(String status) {
        this.status = status;
    }

    public String getStatus() {
        return status;
    }

    public String getDescription() {
        return status;
    }

    @Override
    public String toString(){
        return status;
    }

}
