package se.su.dsv.scipro.report;

import se.su.dsv.scipro.system.User;

public final class SupervisorGradingReportSubmittedEvent extends GradingReportEvent {

    private SupervisorGradingReport gradingReport;

    public SupervisorGradingReportSubmittedEvent(SupervisorGradingReport gradingReport) {
        super(gradingReport);

        this.gradingReport = gradingReport;
    }

    public User getStudent() {
        return gradingReport.getUser();
    }
}
