package se.su.dsv.scipro.system;

import com.google.inject.persist.Transactional;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.querydsl.QueryDslPredicateExecutor;


@Transactional
public interface PasswordRepo extends JpaRepository<Password, Long>, QueryDslPredicateExecutor<Password> {
    Password findByUser(User user);
}