package se.su.dsv.scipro.system;

import javax.inject.Inject;
import javax.inject.Provider;
import javax.persistence.EntityManager;

public class UserNameServiceImpl extends AbstractServiceImpl<Username, Long> implements UserNameService {
    @Inject
    public UserNameServiceImpl(Provider<EntityManager> em) {
        super(em, Username.class, QUsername.username1);
    }

    @Override
    public Username findByUsername(String username) {
        return findOne(QUsername.username1.username.eq(username));
    }
}