package se.su.dsv.scipro.thesislink;

import se.su.dsv.scipro.project.Project;
import se.su.dsv.scipro.system.AbstractServiceImpl;

import javax.inject.Inject;
import javax.inject.Provider;
import javax.persistence.EntityManager;
import java.util.List;

public class ExternalLinkServiceImpl extends AbstractServiceImpl<ExternalLink,Long> implements ExternalLinkService {

    @Inject
    public ExternalLinkServiceImpl(Provider<EntityManager> em) {
        super(em, ExternalLink.class, QExternalLink.externalLink);
    }

    @Override
    public List<ExternalLink> findByProject(final Project project) {
        return findAll(QExternalLink.externalLink.project.eq(project));
    }
}
