CREATE TABLE `Decision` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `reason` varchar(255) DEFAULT NULL,
  `status` varchar(255) DEFAULT NULL,
  `attachment_id` bigint(20) DEFAULT NULL,
  `thesis_id` bigint(20) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_d3pbhn9dtb5oqmjhpgk5cs4t1` (`attachment_id`),
  KEY `FK_s9cnrqblgomd6mhoaet3lgg1b` (`thesis_id`),
  CONSTRAINT `FK_s9cnrqblgomd6mhoaet3lgg1b` FOREIGN KEY (`thesis_id`) REFERENCES `file_description` (`id`),
  CONSTRAINT `FK_d3pbhn9dtb5oqmjhpgk5cs4t1` FOREIGN KEY (`attachment_id`) REFERENCES `file_description` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `FinalSeminarApproval` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `project_id` bigint(20) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_9lr1dn8boyfc5a0477ld4q8rw` (`project_id`),
  CONSTRAINT `FK_9lr1dn8boyfc5a0477ld4q8rw` FOREIGN KEY (`project_id`) REFERENCES `project` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `FinalSeminarApproval_Decision` (
  `FinalSeminarApproval_id` bigint(20) NOT NULL,
  `decisions_id` bigint(20) NOT NULL,
  `decisions_ORDER` int(11) NOT NULL,
  PRIMARY KEY (`FinalSeminarApproval_id`,`decisions_ORDER`),
  UNIQUE KEY `UK_r1ba76xigvossvqj1vrkxy2cc` (`decisions_id`),
  KEY `FK_r1ba76xigvossvqj1vrkxy2cc` (`decisions_id`),
  KEY `FK_7g4wtjpvw81tv6hna7vwvu05f` (`FinalSeminarApproval_id`),
  CONSTRAINT `FK_7g4wtjpvw81tv6hna7vwvu05f` FOREIGN KEY (`FinalSeminarApproval_id`) REFERENCES `FinalSeminarApproval` (`id`),
  CONSTRAINT `FK_r1ba76xigvossvqj1vrkxy2cc` FOREIGN KEY (`decisions_id`) REFERENCES `Decision` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
