CREATE TABLE `RoughDraftApproval` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `project_id` bigint(20) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `rough_draft_approval_project` (`project_id`),
  CONSTRAINT `rough_draft_approval_project` FOREIGN KEY (`project_id`) REFERENCES `project` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `RoughDraftApproval_Decision` (
  `RoughDraftApproval_id` bigint(20) NOT NULL,
  `decisions_id` bigint(20) NOT NULL,
  `decisions_ORDER` int(11) NOT NULL,
  PRIMARY KEY (`RoughDraftApproval_id`,`decisions_ORDER`),
  UNIQUE KEY `rough_draft_approval_uk` (`decisions_id`),
  KEY `rough_draft_approval_decision_decisions` (`decisions_id`),
  KEY `rough_draft_approval_decision_rough_draft` (`RoughDraftApproval_id`),
  CONSTRAINT `rough_draft_approval_decision_rough_draft` FOREIGN KEY (`RoughDraftApproval_id`) REFERENCES `RoughDraftApproval` (`id`),
  CONSTRAINT `rough_draft_approval_decision_decisions` FOREIGN KEY (`decisions_id`) REFERENCES `Decision` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;