CREATE TABLE IF NOT EXISTS `hash` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `version` int(11) NOT NULL,
  `user` bigint(20) NOT NULL,
  `hash` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  KEY (`user`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

ALTER TABLE `hash`
ADD CONSTRAINT FOREIGN KEY (`user`) REFERENCES `user` (`id`);

ALTER TABLE `NotificationData` ADD `user_id` BIGINT(20) DEFAULT NULL;
ALTER TABLE `NotificationData` ADD CONSTRAINT `notificationdata_user_id` FOREIGN KEY (`user_id`) REFERENCES `user` (`id`);