CREATE TABLE `idea_language` (
  `idea_id` BIGINT(20) NOT NULL,
  `language_id` BIGINT(20) NOT NULL,
  PRIMARY KEY (`idea_id`, language_id),
  CONSTRAINT `FK_idea_language_idea` FOREIGN KEY (`idea_id`) REFERENCES `idea` (`id`),
  CONSTRAINT `FK_idea_language_language` FOREIGN KEY (`language_id`) REFERENCES `Language` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

INSERT INTO `idea_language` (`idea_id`, `language_id`) SELECT `id`, `language_id` FROM `idea` WHERE `language_id` IS NOT NULL;

ALTER TABLE `idea` DROP FOREIGN KEY `FK_idea_language`;
ALTER TABLE `idea` DROP COLUMN `language_id`;
