CREATE TABLE `activity_thread` (
  `thread_id` BIGINT(20) NOT NULL,
  `activity_id` BIGINT(20) NOT NULL,
  PRIMARY KEY (`thread_id`, `activity_id`),
  CONSTRAINT `FK_activity_thread_thread` FOREIGN KEY (`thread_id`) REFERENCES `thread` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_activity_thread_activity` FOREIGN KEY (`activity_id`) REFERENCES `Activity` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE = InnoDB DEFAULT CHARSET = utf8;
