ALTER TABLE `reviewer_thread` ADD COLUMN `project_id` BIGINT(20) NOT NULL;
UPDATE `reviewer_thread` SET `project_id` = (SELECT `project` FROM `project_thread` WHERE `id` = `reviewer_thread`.`id`);
ALTER TABLE `reviewer_thread` ADD CONSTRAINT `FK_reviewer_thread_project`
FOREIGN KEY (`project_id`) REFERENCES `project` (`id`);
ALTER TABLE `reviewer_thread` ADD UNIQUE KEY (`project_id`);

ALTER TABLE `reviewer_thread` DROP FOREIGN KEY `reviewer_thread_ibfk_1`;
ALTER TABLE `reviewer_thread` CHANGE COLUMN `id` `thread_id` BIGINT(20) NOT NULL;

ALTER TABLE `reviewer_thread` DROP PRIMARY KEY;
ALTER TABLE `reviewer_thread` ADD PRIMARY KEY (`project_id`, `thread_id`);

ALTER TABLE `reviewer_thread` ADD CONSTRAINT `FK_reviewer_thread_thread`
FOREIGN KEY (`thread_id`) REFERENCES `thread` (`id`);
