ALTER TABLE `activity_thread` DROP FOREIGN KEY `FK_activity_thread_forum_thread_project`;
ALTER TABLE `activity_thread` DROP FOREIGN KEY `FK_activity_thread_forum_thread_thread`;

ALTER TABLE `project_thread` DROP FOREIGN KEY `FK_forum_thread_project`;
ALTER TABLE `project_thread` DROP FOREIGN KEY `FK_forum_thread_thread`;

ALTER TABLE `project_thread` DROP PRIMARY KEY;
ALTER TABLE `project_thread` ADD COLUMN `id` BIGINT(20) NOT NULL AUTO_INCREMENT PRIMARY KEY FIRST ;

ALTER TABLE `project_thread` ADD CONSTRAINT `FK_project_thread_project` FOREIGN KEY (`project_id`) REFERENCES `project` (`id`);
ALTER TABLE `project_thread` ADD CONSTRAINT `FK_project_thread_thread` FOREIGN KEY (`thread_id`) REFERENCES `thread` (`id`);

ALTER TABLE `activity_thread` ADD COLUMN `project_thread_id` BIGINT(20) NOT NULL;
UPDATE `activity_thread` SET `project_thread_id` = (
  SELECT `id` FROM `project_thread` WHERE
    `project_thread`.`project_id` = `activity_thread`.`project_id` AND `project_thread`.`thread_id` = `activity_thread`.`thread_id`
);
ALTER TABLE `activity_thread` ADD CONSTRAINT `FK_activity_thread_project_thread` FOREIGN KEY (`project_thread_id`) REFERENCES `project_thread` (`id`);
