CREATE TABLE `grade` (
  `project_id` BIGINT(20) NOT NULL,
  `value` VARCHAR(255) NOT NULL,
  `reportedBy` BIGINT(20) NOT NULL,
  `reportedOn` DATE NOT NULL,
  PRIMARY KEY (`project_id`),
  CONSTRAINT `FK_grade_project` FOREIGN KEY (`project_id`) REFERENCES `project` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_grade_user_reportedBy` FOREIGN KEY (`reportedBy`) REFERENCES `user` (`id`)
) ENGINE = InnoDB DEFAULT CHARACTER SET = utf8;

INSERT INTO `grade` (`project_id`, `value`, `reportedBy`, `reportedOn`)
    SELECT `id`, `rwandaGrade`, `supervisor_id`, NOW()
    FROM `project`
    WHERE `rwandaGrade` IS NOT NULL;

ALTER TABLE `project` DROP COLUMN `rwandaGrade`;
