CREATE TABLE `opposition_report` (
`id` bigint(20) NOT NULL AUTO_INCREMENT,
`dateCreated` datetime NOT NULL,
`lastModified` datetime NOT NULL,
`version` int(11) NOT NULL,
`finalSeminarOpposition_id` bigint(20) NOT NULL,
PRIMARY KEY (`id`),
KEY `FK_opposition_report_seminar_opposition` (`finalSeminarOpposition_id`),
CONSTRAINT `FK_opposition_report_seminar_opposition` FOREIGN KEY (`finalSeminarOpposition_id`) REFERENCES `final_seminar_opposition` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `opposition_criterion` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `version` int(11) NOT NULL,
  `oppositionReport_id` bigint(20) NOT NULL,
  `feedback` varchar(2000) DEFAULT NULL,
  `description` varchar(2000) DEFAULT NULL,
  `title` varchar(255) NOT NULL,
  `sortOrder` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_opposition_criterion_opposition_report` (`oppositionReport_id`),
  CONSTRAINT `FK_opposition_criterion_opposition_report` FOREIGN KEY (`oppositionReport_id`) REFERENCES `opposition_report` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;