ALTER TABLE `report` ADD COLUMN `dateCreated` DATETIME NOT NULL;
ALTER TABLE `report` ADD COLUMN `lastModified` DATETIME NOT NULL;
ALTER TABLE `report` ADD COLUMN `version` INT(4) NOT NULL DEFAULT '0';

ALTER TABLE `preliminary_grading_report` DROP COLUMN `dateCreated`;
ALTER TABLE `preliminary_grading_report` DROP COLUMN `lastModified`;
ALTER TABLE `preliminary_grading_report` DROP COLUMN `version`;
ALTER TABLE `opposition_report` DROP COLUMN `dateCreated`;
ALTER TABLE `opposition_report` DROP COLUMN `lastModified`;
ALTER TABLE `opposition_report` DROP COLUMN `version`;
ALTER TABLE `grading_report` DROP COLUMN `dateCreated`;
ALTER TABLE `grading_report` DROP COLUMN `lastModified`;
ALTER TABLE `grading_report` DROP COLUMN `version`;

DROP TABLE `preliminary_grading_criterion`;

RENAME TABLE `opposition_criterion` TO `criterion`;

ALTER TABLE `criterion` DROP FOREIGN KEY `FK_opposition_criterion_opposition_report`;
ALTER TABLE `criterion` DROP KEY `FK_opposition_criterion_opposition_report`;

ALTER TABLE `criterion` CHANGE COLUMN `oppositionReport_id` `report_id` BIGINT(20) NOT NULL;

ALTER TABLE `criterion` ADD CONSTRAINT `FK_criterion_report` FOREIGN KEY `FK_criterion_report` (`report_id`) REFERENCES `report` (`id`);
