CREATE TABLE `final_seminar_respondent` (
  `id`              BIGINT(20) NOT NULL AUTO_INCREMENT,
  `dateCreated`     DATETIME   NOT NULL,
  `lastModified`    DATETIME   NOT NULL,
  `finalSeminar_id` BIGINT(20) NOT NULL,
  `student_id`      BIGINT(20) NOT NULL,
  `version`         INT(4)     NOT NULL DEFAULT '0',
  `respondentGrade` VARCHAR(20) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_final_seminar_respondent_id` (`finalSeminar_id`),
  KEY `FK_student_respondent_id` (`student_id`),
  CONSTRAINT `FK_student_respondent_id` FOREIGN KEY (`student_id`) REFERENCES `role` (`id`),
  CONSTRAINT `FK_final_seminar_respondent_id` FOREIGN KEY (`finalSeminar_id`) REFERENCES `final_seminar` (`id`)
)
  ENGINE =InnoDB
  DEFAULT CHARSET =utf8;