package se.su.dsv.scipro.grading

import javax.inject.{Inject, Provider}
import javax.persistence.EntityManager

import com.mysema.query.types.EntityPath

class GradeStatisticsServiceImpl @Inject() (val em: Provider[EntityManager])
  extends GradeStatisticsService with FindAll[Grade] with FindOne[Grade, Long] with Count {
  
  override val path: EntityPath[Grade] = QGrade.grade
  override val clazz: Class[Grade] = classOf[Grade]
}
