package se.su.dsv.scipro.grading

import com.google.inject.AbstractModule

class GradingModule extends AbstractModule{
  override def configure(): Unit = {
    bind(classOf[GradeRepository]).to(classOf[GradeRepositoryImpl])
    bind(classOf[GradeService]).to(classOf[GradeServiceImpl])
    bind(classOf[GradeStatisticsService]).to(classOf[GradeStatisticsServiceImpl])
    ()
  }
}
