package se.su.dsv.scipro.plagiarism;

import org.junit.Test;
import se.su.dsv.scipro.file.FileDescription;
import se.su.dsv.scipro.test.IntegrationTest;

import javax.inject.Inject;

import static org.junit.Assert.assertEquals;

public class TurnItInCheckServiceImplIntegrationTest extends IntegrationTest {

    @Inject
    private TurnItInCheckService turnItInCheckService;

    @Test
    public void findByFileDescription() throws Exception {
        FileDescription fileDescription = new FileDescription();
        fileDescription = save(fileDescription);

        TurnItInCheck turnItInCheck = new TurnItInCheck();
        turnItInCheck.setFileDescription(fileDescription);
        turnItInCheck = save(turnItInCheck);

        assertEquals(turnItInCheck, turnItInCheckService.findByFileDescription(fileDescription));
    }
}
