package se.su.dsv.scipro.activityplan;

import org.apache.wicket.markup.html.basic.EnumLabel;
import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.markup.html.panel.Panel;
import org.apache.wicket.model.Model;
import org.apache.wicket.model.PropertyModel;

public class DisplayEventPanel extends Panel {

    public DisplayEventPanel(String id, final Activity event) {
		super(id);

        add(new Label("nameLabel", new Model<>(event.getTitle())));
        add(new Label("descriptionLabel", new Model<>(event.getDescription())));
        add(new Label("dateLabel", new Model<>(event.getDate())));

        String checklist = "No checklist";
        if (event.getChecklist() != null) {
            checklist = event.getChecklist().getName();
        }
        add(new Label("checklistLabel", new Model<>(checklist)));

        add(new EnumLabel<>("action", new PropertyModel<Action>(event, "action")));
	}
}
