package se.su.dsv.scipro.basepanels;

import org.apache.wicket.MetaDataKey;
import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.markup.html.panel.Panel;
import org.apache.wicket.model.AbstractReadOnlyModel;

public class SystemNoticePanel extends Panel {

    public static final MetaDataKey<String> SYSTEM_NOTICE = new MetaDataKey<String>() {};

	public SystemNoticePanel(String id) {
		super(id);

        add(new Label("systemNotice", new AbstractReadOnlyModel<String>() {
            @Override
            public String getObject() {
                return getApplication().getMetaData(SYSTEM_NOTICE);
            }
        }));
	}
}
