package se.su.dsv.scipro.components;

import org.apache.wicket.ajax.AjaxRequestTarget;
import org.apache.wicket.ajax.markup.html.AjaxLink;
import org.apache.wicket.model.IModel;
import se.su.dsv.scipro.util.AjaxConfirmationLink;

public abstract class AjaxConfirmingLinkPanel<T> extends AjaxLinkPanel<T> {
    public AjaxConfirmingLinkPanel(String id, IModel<T> model, IModel<?> label) {
        super(id, model, label);
    }

    @Override
    protected AjaxLink<T> newLinkComponent(String id, IModel<T> model) {
        return new AjaxConfirmationLink<T>(id, model, getString("confirm")) {
            @Override
            public void onClick(AjaxRequestTarget target) {
                AjaxConfirmingLinkPanel.this.onClick(target, getModel());
            }
        };
    }
}
