package se.su.dsv.scipro.match;

import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.markup.html.panel.GenericPanel;
import org.apache.wicket.model.IModel;
import org.apache.wicket.model.PropertyModel;
import se.su.dsv.scipro.match.Idea.Type;

public class SupervisorIdeaDetailsPanel extends GenericPanel<Idea> {

	public SupervisorIdeaDetailsPanel(String id, IModel<Idea> model) {
		super(id, model);
        add(new Label("title", new PropertyModel<>(model, "title")));
        add(new IdeaExportPanel("exportStatus", model));
		add(new IdeaDetailsPanel("ideaDetails", model, model.getObject().getType().equals(Type.SUPERVISOR)));
		add(new IdeaAuthorInfoPanel("authors", model));
		add(new IdeaWatsonInfoPanel("watson", model));
		add(new IdeaDownloadPanel("download", model));
	}

}
