package se.su.dsv.scipro.peer;

import se.su.dsv.scipro.components.menuhighlighting.MenuHighlightAdminPeer;
import se.su.dsv.scipro.security.auth.Authorization;
import se.su.dsv.scipro.security.auth.roles.Roles;
import se.su.dsv.scipro.statistics.AbstractAdminStatisticsPage;

@Authorization(authorizedRoles = {Roles.ADMIN})
public class AdminPeerReviewChartPage extends AbstractAdminStatisticsPage implements MenuHighlightAdminPeer {
    public AdminPeerReviewChartPage(PeerReviewService.Filter filter) {
        add(new PeerReviewChartPanel("details", filter));
    }
}
