package se.su.dsv.scipro.peer;

import se.su.dsv.scipro.components.menuhighlighting.MenuHighlightSupervisorAllPeers;
import se.su.dsv.scipro.security.auth.Authorization;
import se.su.dsv.scipro.supervisor.pages.AbstractSupervisorAllProjectsPage;

import static se.su.dsv.scipro.security.auth.roles.Roles.SUPERVISOR;

@Authorization(authorizedRoles = {SUPERVISOR})
public class SupervisorPeerReviewChartPage extends AbstractSupervisorAllProjectsPage implements MenuHighlightSupervisorAllPeers {
    public SupervisorPeerReviewChartPage(PeerReviewService.Filter filter) {
        add(new PeerReviewChartPanel("details", filter));
    }
}
