package se.su.dsv.scipro.project.pages;

import org.apache.wicket.request.mapper.parameter.PageParameters;
import se.su.dsv.scipro.components.menuhighlighting.MenuHighlightAuthorMyProjects;
import se.su.dsv.scipro.repository.panels.ProjectFilePanel;
import se.su.dsv.scipro.security.auth.Authorization;
import se.su.dsv.scipro.security.auth.ProjectModuleComponent;
import se.su.dsv.scipro.security.auth.roles.Roles;
import se.su.dsv.scipro.system.ProjectModule;

@Authorization(authorizedRoles = {Roles.AUTHOR})
@ProjectModuleComponent(ProjectModule.FILES)
public class ProjectFilePage extends AbstractProjectDetailsPage implements MenuHighlightAuthorMyProjects {

    public ProjectFilePage(PageParameters pp) {
        super(pp);
        add(new ProjectFilePanel("filePanel", projectModel));
    }

}
