package se.su.dsv.scipro.repository.components;

import org.apache.wicket.model.IModel;
import org.apache.wicket.request.resource.ContentDisposition;
import se.su.dsv.scipro.file.FileDescription;

class DownloadResource extends FileResource {
    public DownloadResource(IModel<? extends FileDescription> model) {
        super(model);
    }

    @Override
    protected void configureResponse(ResourceResponse resourceResponse) {
        resourceResponse.setContentDisposition(ContentDisposition.ATTACHMENT);
    }
}
