package se.su.dsv.scipro.statistics;

import se.su.dsv.scipro.security.auth.Authorization;

import static se.su.dsv.scipro.security.auth.roles.Roles.ADMIN;

@Authorization(authorizedRoles = {ADMIN})
public class SupervisorStatisticsPage extends AbstractAdminStatisticsPage {
    static final String PANEL = "panel";

    public SupervisorStatisticsPage() {
        add(new SupervisorStatisticsPanel(PANEL));
    }
}
