package se.su.dsv.scipro.supervisor.pages;

import org.apache.wicket.model.IModel;
import se.su.dsv.scipro.components.menuhighlighting.MenuHighlightSupervisorMilestoneStatistics;
import se.su.dsv.scipro.milestones.dataobjects.MilestoneActivityTemplate;
import se.su.dsv.scipro.milestones.service.MileStoneService;
import se.su.dsv.scipro.statistics.IndividualMilestoneDetailsPanel;

public class SupervisorIndividualMilestoneDetailsPage extends AbstractSupervisorAllProjectsPage implements MenuHighlightSupervisorMilestoneStatistics {

    public SupervisorIndividualMilestoneDetailsPage(IModel<MilestoneActivityTemplate> model, MileStoneService.Filter filter) {
        add(new IndividualMilestoneDetailsPanel("details", model, filter));
    }
}
