package se.su.dsv.scipro.supervisor.panels;

import org.apache.wicket.model.IModel;
import se.su.dsv.scipro.project.Project;
import se.su.dsv.scipro.reviewing.ReviewerApprovalService;
import se.su.dsv.scipro.reviewing.RoughDraftApproval;
import se.su.dsv.scipro.reviewing.RoughDraftApprovalService;

import javax.inject.Inject;

public class RoughDraftApprovalPanel extends SupervisorApprovalPanel<RoughDraftApproval> {

    @Inject
    private RoughDraftApprovalService roughDraftApprovalService;

    public RoughDraftApprovalPanel(String id, final IModel<Project> model) {
        super(id, model);
    }

    @Override
    protected ReviewerApprovalService<RoughDraftApproval> getService() {
        return roughDraftApprovalService;
    }

}
