package se.su.dsv

import org.apache.wicket.util.string.{StringValueConversionException, StringValue}

package object scipro {
  implicit class StringValueConversions(val value: StringValue) extends AnyVal {
    def asLong =
      try { Some(value.toLong) }
      catch { case _: StringValueConversionException => None }
  }
}
