package se.su.dsv.scipro.checklists;

import org.apache.wicket.model.Model;
import org.junit.Before;
import org.junit.Test;
import se.su.dsv.scipro.SciProTest;
import se.su.dsv.scipro.project.Project;
import se.su.dsv.scipro.system.DegreeLevel;
import se.su.dsv.scipro.system.ProjectType;

import static org.junit.Assert.assertNotNull;

public class ChecklistOverviewPanelTest extends SciProTest {

    private ChecklistOverviewPanel panel;
    private Project project;

    @Before
    public void setUp() throws Exception {
        ProjectType projectType = new ProjectType(DegreeLevel.FIRST_CYCLE, ProjectType.BACHELOR_STRING, ProjectType.BACHELOR_STRING);
        project = Project.builder().title("My project").projectType(projectType).build();
        startPanel();
    }

    @Test
    public void renders() throws Exception {
        assertNotNull("Does not render", panel);
    }

    private void startPanel() {
        panel = tester.startComponentInPage(new ChecklistOverviewPanel("panel", Model.of(project)));
    }

}