package se.su.dsv.scipro.finalseminar;

import org.apache.wicket.model.Model;
import org.junit.Before;
import org.junit.Test;
import se.su.dsv.scipro.SciProTest;
import se.su.dsv.scipro.project.Project;
import se.su.dsv.scipro.system.DegreeLevel;
import se.su.dsv.scipro.system.ProjectType;

public class ProjectDetailsPanelTest extends SciProTest {

    ProjectDetailsPanel panel;
    Project project;

    @Before
    public void setUp() throws Exception {
        ProjectType projectType = new ProjectType(DegreeLevel.FIRST_CYCLE, "Some project type", "Some description");
        project = Project.builder().title("Nice project").projectType(projectType).build();
    }

    @Test
    public void renders() throws Exception {
        panel = tester.startComponentInPage(new ProjectDetailsPanel("id", Model.of(project)));
    }
}