package se.su.dsv.scipro.notifications.settings.panels;

import org.apache.wicket.markup.html.panel.Panel;
import org.junit.Before;
import org.junit.Test;
import org.mockito.Mock;
import se.su.dsv.scipro.SciProTest;
import se.su.dsv.scipro.data.dataobjects.Member;
import se.su.dsv.scipro.notifications.settings.service.DeliveryConfigurationService;
import se.su.dsv.scipro.notifications.settings.service.ReceiverConfigurationService;

import static org.junit.Assert.assertNotNull;

public class MemberDeliveryConfigurationPanelTest extends SciProTest {

    @Mock DeliveryConfigurationService deliveryConfigurationService;
    @Mock ReceiverConfigurationService receiverConfigurationService;

    private Panel panel;

    @Before
    public void setUp() throws Exception {
        panel = tester.startComponentInPage(new MemberDeliveryConfigurationPanel("panel", Member.Type.SUPERVISOR));
    }

    @Test
    public void testRenders() throws Exception {
        assertNotNull("Does not render", panel);
    }
}
