package se.su.dsv.scipro.peer;

import org.junit.Before;
import org.junit.Test;
import org.mockito.Matchers;
import org.mockito.Mockito;
import se.su.dsv.scipro.SciProTest;
import se.su.dsv.scipro.data.enums.DateStyle;

public class AdminPeersPageTest extends SciProTest {
    @Before
    public void setUp() throws Exception {
        Mockito.when(dateService.getFormat(Matchers.any(DateStyle.class))).thenReturn("yyyy-MM-dd");
    }

    @Test
    public void renders() throws Exception {
        tester.startPage(AdminPeersPage.class);
        tester.assertRenderedPage(AdminPeersPage.class);
    }
}
