package se.su.dsv.scipro.project.pages;

import org.apache.wicket.Page;
import org.junit.Test;
import se.su.dsv.scipro.supervisor.pages.SupervisorPageTest;
import se.su.dsv.scipro.system.User;

public class SupervisorEditProjectPageTest extends SupervisorPageTest {
	@Override
	protected Class<? extends Page> getPage() {
		return SupervisorEditProjectPage.class;
	}

	@Test
	public void only_head_supervisor_can_edit_project() throws Exception {
		startPage();
		tester.assertRenderedPage(getPage());
	}

	@Test
	public void not_head_supervisor_can_not_edit_project() throws Exception {
		setLoggedInAs(User.builder().firstName("any").lastName("any").emailAddress("any@test.com").build());
		startPage();
		tester.assertRenderedPage(getHomePage());

	}
}
