package se.su.dsv.scipro.statistics;

import org.apache.wicket.model.Model;
import org.junit.Before;
import org.junit.Test;
import se.su.dsv.scipro.SciProTest;
import se.su.dsv.scipro.milestones.dataobjects.MilestoneActivityTemplate;
import se.su.dsv.scipro.milestones.service.MileStoneService;

public class IndividualMilestoneDetailsPanelTest extends SciProTest {

    private MilestoneActivityTemplate activity;

    @Before
    public void setUp() throws Exception {
        createActivity();
    }

    @Test
    public void renders() throws Exception {
        tester.startComponentInPage(new IndividualMilestoneDetailsPanel("id", Model.of(activity), new MileStoneService.Filter()));
    }

    private void createActivity() {
        activity = new MilestoneActivityTemplate(MilestoneActivityTemplate.Type.PROJECT, "project plan approved", "description");
    }
}

