package se.su.dsv.scipro.statistics;

import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.runners.MockitoJUnitRunner;
import se.su.dsv.scipro.SciProTest;
import se.su.dsv.scipro.datatables.project.ProjectExternalOrganisationPanel;

@RunWith(MockitoJUnitRunner.class)
public class ProjectExternalStatisticsPageTest extends SciProTest {

    @Before
    public void startPage() throws Exception {
        tester.startPage(ProjectExternalStatisticsPage.class);
    }

    @Test
    public void renders() throws Exception {
        tester.assertRenderedPage(ProjectExternalStatisticsPage.class);
    }

    @Test
    public void testContainsPanel() throws Exception {
        tester.assertComponent(ProjectExternalStatisticsPage.PANEL, ProjectExternalOrganisationPanel.class);
    }
}
