package se.su.dsv.scipro.supervisor.pages;

import org.apache.wicket.Page;
import org.junit.Before;
import scala.Option;
import se.su.dsv.scipro.reviewing.FinalSeminarApproval;
import se.su.dsv.scipro.reviewing.RoughDraftApproval;

import static org.mockito.Mockito.when;

public class SupervisorInteractWithReviewerPageTest extends SupervisorPageTest {

    @Before
    public void setUp() throws Exception {
        when(roughDraftApprovalService.findBy(project)).thenReturn(Option.<RoughDraftApproval>empty());
        when(finalSeminarApprovalService.findBy(project)).thenReturn(Option.<FinalSeminarApproval>empty());
    }

    @Override
    protected Class<? extends Page> getPage() {
        return SupervisorInteractWithReviewerPage.class;
    }
}